*{
    margin: 0%;
}

/* background */

 .main {
  background-image: 
    url(images/bg-top.svg),
    url(images/bg-bottom.svg);
  background-position:
    top right, /* this positions the first image */
    bottom left; /* this positions the second image */
  background-repeat:
    no-repeat; /* this applies to both images */
    height: 100vh;
}

/* toggle switch*/
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 25px;
  margin-left: 10px;
  margin-right: 10px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #2196F3;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.toggle{
    margin: 2%;
    display: flex;
    justify-content: center;
}
/* content */
.plans{
    padding-top: 5%;
    display: flex;
    flex-direction: column;
   
}
.ourPlans{
    margin: 2%;
     display: flex;
    justify-content: center;
}

/* cards */
.cards-collection{
    display: flex;
    justify-content: center;
}

.card {
    /* Add shadows to create the "card" effect */
    display: flex;
    flex-direction: column;
    padding: 1.5%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.253);
    height: fit-content;
    width: 300px;
    border-radius: 8px;
  }

.basic, .master{
      align-self: center;
      background-color: whitesmoke ;
  }
.professional{
    background-image: linear-gradient(hsl(236, 72%, 79%), hsl(237, 63%, 64%));
    height: fit-content;
    width: 350px;
}

.professional >.detail{
    color: white;
}

  .detail{
      align-self: center;
      margin: 8%;
  }

  .learn-more-button{
    background-image: linear-gradient(hsl(236, 72%, 79%), hsl(237, 63%, 64%));    
}

.professional >.learn-more-button{
    background: white;
}

  /* text */
.detail, .text{
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;  
}

button {
    margin: 5%;
    padding: 5%;
    border-radius: 5px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
}

.rate{
    font-size: 50px;
}

@media (max-width: 745px) {
  .main{
    height: 100%;
  }
  
    .cards-collection{
        flex-direction: column;
    }
    .card{
      align-self: center;
      margin-bottom: 20px;
    }
    .professional{
        background-image: linear-gradient(hsl(236, 72%, 79%), hsl(237, 63%, 64%));
        height: fit-content;
        width: 300px;
    }

  }